const { DataTypes } = require('sequelize');
const sequelize = require('../config/database');

const BorrowTransaction = sequelize.define('BorrowTransaction', {
  borrow_id: {
    type: DataTypes.UUID,
    defaultValue: DataTypes.UUIDV4,
    primaryKey: true
  },
  // อ้างอิงแถวใน project_equipments โดย pe_id
  pe_id: {
    type: DataTypes.UUID,
    allowNull: false
    // references: { model: 'project_equipments', key: 'pe_id' }
  },
  quantity_borrowed: {
    type: DataTypes.INTEGER,
    defaultValue: 1
  },
  status: {
    type: DataTypes.STRING(50),
    defaultValue: 'borrowed' // หรือ 'returned', 'pending' ฯลฯ
  },
  returned_date: {
    type: DataTypes.DATE,
    allowNull: true
  },
  // ...
}, {
  tableName: 'borrow_transactions',
  timestamps: false
});

module.exports = BorrowTransaction;
