// models/Project.js
const { DataTypes } = require('sequelize');
const sequelize = require('../config/database');

const Project = sequelize.define('Project', {
  project_id: {
    type: DataTypes.UUID,
    defaultValue: DataTypes.UUIDV4, // สร้าง UUID อัตโนมัติ
    primaryKey: true,
  },
  project_name: {
    type: DataTypes.STRING(255),
    allowNull: false,
  },
  project_desc: {
    type: DataTypes.TEXT,
    allowNull: true,
  },
  start_date: {
    type: DataTypes.DATEONLY, // ถ้าต้องการเฉพาะวัน (YYYY-MM-DD)
    allowNull: true,
  },
  end_date: {
    type: DataTypes.DATEONLY,
    allowNull: true,
  },
  created_at: {
    type: DataTypes.DATE,
    allowNull: false,
    defaultValue: DataTypes.NOW,
  },
  updated_at: {
    type: DataTypes.DATE,
    allowNull: false,
    defaultValue: DataTypes.NOW,
  },
}, {
  tableName: 'projects',
  timestamps: false, // ถ้าไม่ใช้ createdAt, updatedAt แบบอัตโนมัติ
});

module.exports = Project;
