// models/ProjectEquipment.js
const { DataTypes } = require('sequelize');
const sequelize = require('../config/database');

const ProjectEquipment = sequelize.define('ProjectEquipment', {
  pe_id: {
    type: DataTypes.UUID,
    defaultValue: DataTypes.UUIDV4,   // สร้าง UUID อัตโนมัติ
    primaryKey: true,
  },
  project_id: {
    type: DataTypes.UUID,
    allowNull: false,
    // references: {
    //   model: 'projects',
    //   key: 'project_id'
    // },
  },
  equipment_id: {
    type: DataTypes.UUID,
    allowNull: false,
    // references: {
    //   model: 'equipments',
    //   key: 'equipment_id'
    // },
  },
  quantity_in_project: {
    type: DataTypes.INTEGER,
    allowNull: false,
    defaultValue: 0,
  },
  created_at: {
    type: DataTypes.DATE,
    allowNull: false,
    defaultValue: DataTypes.NOW,
  },
  updated_at: {
    type: DataTypes.DATE,
    allowNull: false,
    defaultValue: DataTypes.NOW,
  },
}, {
  tableName: 'project_equipments',
  timestamps: false, // ถ้าไม่ต้องการให้ Sequelize จัดการ createdAt, updatedAt ให้เอง
});

module.exports = ProjectEquipment;
