import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { AdminComponent } from './admin.component';
import { UserManagementComponent } from './user-management/user-management.component';
import { ProjectManagementComponent } from './project-management/project-management.component';
import { ProductManagementComponent } from './product-management/product-management.component';
import { ProjectEmployeeManagementComponent } from './project-management/project-employee-management/project-employee-management.component';
import { ProjectProductManagementComponent } from './project-management/project-product-management/project-product-management.component';
import { HomeAdminComponent } from './home-admin/home-admin.component';
import { TransectionProductManagementComponent } from './transection-product-management/transection-product-management.component';
import { HistoryProductComponent } from './history-product/history-product.component';
import { AdminRoutingModule } from './admin.routing';
import { SharedModule } from '../shared/sharedmodule';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { ApproveBorrowComponent } from './approve-borrow/approve-borrow.component';
import { ReturnBorrowComponent } from './return-borrow/return-borrow.component';
import { NgSelectModule } from '@ng-select/ng-select';
import { DpDatePickerModule } from 'ng2-date-picker';

@NgModule({
  imports: [
    CommonModule,
    AdminRoutingModule,
    SharedModule,
    FormsModule,
    ReactiveFormsModule,
    NgSelectModule,
    DpDatePickerModule
  ],
  declarations: [AdminComponent, UserManagementComponent, ProjectManagementComponent, ProductManagementComponent, ProjectEmployeeManagementComponent, ProjectProductManagementComponent, HomeAdminComponent, TransectionProductManagementComponent, HistoryProductComponent, ApproveBorrowComponent, ReturnBorrowComponent]
})
export class AdminModule { }
