import { EquipmentService } from 'src/app/services/equirement.service';
import { Component } from '@angular/core';
import { EquipmentModel } from 'src/app/models/equipments.model';


@Component({
  selector: 'app-product-management',
  templateUrl: './product-management.component.html',
  styleUrls: ['./product-management.component.scss']
})
export class ProductManagementComponent {

  productList: EquipmentModel[] = []
  selectedProduct?: EquipmentModel
  constructor(private EquipmentService: EquipmentService) { }

  ngOnInit() {
    this.getProduct()
  }

  getProduct() {
    this.EquipmentService.getLists().subscribe(result => {
      this.productList = result
    })
  }

  getProductId() {
    this.EquipmentService.getById("73079f3b-b58a-46e6-a779-20a64911e505").subscribe(result => {
      console.log(result)
    })
  }

  saveProduct() {
    if (this.selectedProduct) {
      this.EquipmentService.save(this.selectedProduct).subscribe(result => {
        console.log(result)
      })
    }
  }


  updateProduct() {
    if (this.selectedProduct) {
      this.EquipmentService.update(this.selectedProduct).subscribe(result => {
        console.log(result)
      })
    }
  }

  addToCart() {

  }

  deleteProduct(product: EquipmentModel) {
    this.selectedProduct = new EquipmentModel(product)
    if (this.selectedProduct) {
      this.EquipmentService.delete(this.selectedProduct).subscribe(result => {
        console.log(result)
      })
    }
  }
  newproduct() {
    this.selectedProduct = new EquipmentModel()
  }

  detailproduct(pj: EquipmentModel) {
    this.selectedProduct = new EquipmentModel(pj)

  }


}
