import { Component, OnInit } from '@angular/core';
import { ProJectModel } from 'src/app/models/project.model';
import { ProjectService } from 'src/app/services/project.service';


@Component({
  selector: 'app-project-management',
  templateUrl: './project-management.component.html',
  styleUrls: ['./project-management.component.scss']
})
export class ProjectManagementComponent {

     projectList:ProJectModel[]=[];
     selectedProject?: ProJectModel
     constructor(private projectService: ProjectService) { }

     ngOnInit() {
       this.getProject()
     }

     getProject() {
       this.projectService.getLists().subscribe(result => {
         this.projectList = result
       })
     }

     getProjectId() {
       this.projectService.getById("73079f3b-b58a-46e6-a779-20a64911e505").subscribe(result => {
         console.log(result)
       })
     }

     saveProject() {
       if (this.selectedProject) {
         this.projectService.save(this.selectedProject).subscribe(result => {
           console.log(result)
         })
       }
     }

     deleteProject(project:ProJectModel) {
      this.selectedProject = new ProJectModel(project)
       if (this.selectedProject) {
         this.projectService.delete(this.selectedProject).subscribe(result => {
           console.log(result)
         })
       }
     }

     updateProject() {
       if (this.selectedProject) {
         this.projectService.update(this.selectedProject).subscribe(result => {
           console.log(result)
         })
       }
     }

   newPj() {
    this.selectedProject = new ProJectModel()
  }

       detailPj(pj: ProJectModel) {
         this.selectedProject = new ProJectModel(pj)

       }

  }
