import { Component, OnInit } from '@angular/core';
import { UserService } from 'src/app/services/user.service';
import { UserProfileModel } from 'src/app/models/user.model';

@Component({
  selector: 'app-user-management',
  templateUrl: './user-management.component.html',
  styleUrls: ['./user-management.component.scss']
})

export class UserManagementComponent {
  memberlist: UserProfileModel[] = []
  selectedUser?: UserProfileModel
  constructor(private userService: UserService) { }

  ngOnInit() {
    this.getUser()
  }

  getUser() {
    this.userService.getLists().subscribe(result => {
      this.memberlist = result
      this.selectedUser = undefined
    })
  }

  getUserId() {
    this.userService.getById("73079f3b-b58a-46e6-a779-20a64911e505").subscribe(result => {
      console.log(result)
    })
  }

  save() {
    console.log(this.selectedUser)
    if (!this.selectedUser?.user_id) {
      this.createUser()
    } else {
      this.updateUser()
    }
  }

  createUser() {
    if (this.selectedUser) {
      this.userService.save(this.selectedUser).subscribe(result => {
        console.log(result)
        this.getUser()
      })
    }
  }

  updateUser() {
    if (this.selectedUser) {
      this.userService.update(this.selectedUser).subscribe(result => {
        console.log(result)
        this.getUser()
      })
    }
  }

  deleteUser(item: UserProfileModel) {
    this.selectedUser = new UserProfileModel(item)
    if (this.selectedUser) {
      this.userService.delete(this.selectedUser).subscribe(result => {
        console.log(result)
        this.getUser()
      })
    }
  }



  newEmp() {
    this.selectedUser = new UserProfileModel()
  }

  detailEmp(emp: UserProfileModel) {
    this.selectedUser = new UserProfileModel(emp)

  }

  // url = '';
  // onSelectFile(event: any) {
  //   if (event.target && event.target.files && event.target.files[0]) {
  //     const reader = new FileReader();

  //     reader.readAsDataURL(event.target.files[0]); // read file as data URL

  //     reader.onload = (event: any) => {
  //       // called once readAsDataURL is completed
  //       this.url1 = event.target.result;
  //     };
  //   }
  // }

  // url1 = '';
  // onSelectFile2(event: any) {
  //   if (event.target && event.target.files && event.target.files[0]) {
  //     const reader = new FileReader();

  //     reader.readAsDataURL(event.target.files[0]); // read file as data URL

  //     reader.onload = (event: any) => {
  //       // called once readAsDataURL is completed
  //       this.url = event.target.result;
  //     };
  //   }
  // }
}
