import { TranslateService } from "@ngx-translate/core";
import { BaseModel } from "./base.model";

export class BorrowTransactionsModel extends BaseModel {
  borrow_id: string;
  pe_id: string;
  quantity_borrowed: number;
  status: string;
  returned_date?: string;

  constructor(data?: Partial<BorrowTransactionsModel>, translateService?: TranslateService) {
    super(data, translateService);
    this.borrow_id = data?.borrow_id ?? '';
    this.pe_id = data?.pe_id ?? '';
    this.quantity_borrowed = data?.quantity_borrowed ?? 0;
    this.status = data?.status ?? '';
    this.returned_date = data?.returned_date ?? null;
  }
}
