import { TranslateService } from "@ngx-translate/core";
import { BaseModel } from "./base.model";

export class EquipmentModel extends BaseModel {
  equipment_id: string;
  picture: string;
  equipment_name: string;
  description?: string;
  quantity_total: number;
  is_returnable: boolean;
  location?: string;
  created_at: string;
  updated_at: string;

  constructor(data?: Partial<EquipmentModel>, translateService?: TranslateService) {
    super(data, translateService);
    this.picture=data?.picture??'';
    this.equipment_id = data?.equipment_id ?? '';
    this.equipment_name = data?.equipment_name ?? '';
    this.description = data?.description ?? '';
    this.quantity_total = data?.quantity_total ?? 0;
    this.is_returnable = data?.is_returnable ?? true;
    this.location = data?.location ?? '';
    this.created_at = data?.created_at ?? new Date().toISOString();
    this.updated_at = data?.updated_at ?? new Date().toISOString();
  }
}
