import { TranslateService } from "@ngx-translate/core";
import { BaseModel } from "./base.model";

export class ProjectEquipmentModel extends BaseModel {
  pe_id: string;
  project_id: string;
  equipment_id?: string;
  quantity_in_project: number;
  created_at: string;
  updated_at: string;

  constructor(data?: Partial<ProjectEquipmentModel>, translateService?: TranslateService) {
    super(data, translateService);
    this.pe_id = data?.pe_id ?? '';
    this.project_id = data?.project_id ?? '';
    this.equipment_id = data?.equipment_id ?? '';
    this.quantity_in_project = data?.quantity_in_project ?? 0;
    this.created_at = data?.created_at ?? new Date().toISOString();
    this.updated_at = data?.updated_at ?? new Date().toISOString();
  }
}
