import { TranslateService } from "@ngx-translate/core";
import { BaseModel } from "./base.model";

export class ProjectMemberModel extends BaseModel {
  pm_id: string;
  user_id: string;
  project_id: string;
  role_in_project: string;
  created_at: string;
  updated_at: string;

  constructor(data?: Partial<ProjectMemberModel>, translateService?: TranslateService) {
    super(data, translateService);
    this.pm_id = data?.pm_id ?? '';
    this.user_id = data?.user_id ?? '';
    this.project_id = data?.project_id ?? '';
    this.role_in_project = data?.role_in_project ?? '';
    this.created_at = data?.created_at ?? new Date().toISOString();
    this.updated_at = data?.updated_at ?? new Date().toISOString();
}
}
