import { TranslateService } from "@ngx-translate/core";
import { BaseModel } from "./base.model";
import { da } from "date-fns/locale";

export class ProJectModel extends BaseModel {
  project_id: string;
  picture: string;
  project_name: string;
  project_desc?: string;
  start_date: string;
  end_date: string;
  created_at: string;
  updated_at: string;

  constructor(data?: Partial<ProJectModel>, translateService?: TranslateService) {
    super(data, translateService);
    this.picture = data?.picture??'';
    this.project_id = data?.project_id ?? '';
    this.project_name = data?.project_name ?? '';
    this.project_desc = data?.project_desc ?? '';
    this.start_date = data?.start_date ?? new Date().toISOString();
    this.end_date = data?.end_date ?? new Date().toISOString();
    this.created_at = data?.created_at ?? new Date().toISOString();
    this.updated_at = data?.updated_at ?? new Date().toISOString();
  }
}
