import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { map, tap, switchMap, filter, reduce } from "rxjs/operators";
import { ProjectEquipmentModel } from '../models/project-equipments';
import { BorrowTransactionsModel } from '../models/borrow-transactions';


@Injectable({
  providedIn: 'root'
})
export class BorrowTransactionsService {

apiBaseUrl = environment.baseUrl + "/borrow-transactions";
  constructor(
    private http: HttpClient
  ) { }

  getById(id: string) {
    return this.http
      .get<BorrowTransactionsModel>(this.apiBaseUrl + "/" + id)
      .pipe(map((e) => new BorrowTransactionsModel(e)));
  }

  getLists() {
    return this.http
      .get<BorrowTransactionsModel[]>(this.apiBaseUrl)
      .pipe(
        map((e) => e.map((e) => new BorrowTransactionsModel(e)))
      );
  }

  save(body: BorrowTransactionsModel) {
    return this.http.post<{
      "message": string,
      "user": BorrowTransactionsModel
    }>(this.apiBaseUrl, new BorrowTransactionsModel(body));
  }

  update(body: BorrowTransactionsModel) {
    return this.http.put<{
      "message": string,
      "user": BorrowTransactionsModel
    }>(this.apiBaseUrl + "/" + body.borrow_id, new BorrowTransactionsModel(body));
  }

  delete(body: BorrowTransactionsModel) {
    return this.http.delete<{
      "message": string,
      "user": BorrowTransactionsModel
    }>(this.apiBaseUrl + "/" + body.borrow_id);
  }


}

}
