import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { map, tap, switchMap, filter, reduce } from "rxjs/operators";
import { ProjectEquipmentModel } from '../models/project-equipments';


@Injectable({
  providedIn: 'root'
})
export class ProjectEquipmentService {
apiBaseUrl = environment.baseUrl + "/project-equipments";
  constructor(
    private http: HttpClient
  ) { }

  getById(id: string) {
    return this.http
      .get<ProjectEquipmentModel>(this.apiBaseUrl + "/" + id)
      .pipe(map((e) => new ProjectEquipmentModel(e)));
  }

  getLists() {
    return this.http
      .get<ProjectEquipmentModel[]>(this.apiBaseUrl)
      .pipe(
        map((e) => e.map((e) => new ProjectEquipmentModel(e)))
      );
  }

  save(body: ProjectEquipmentModel) {
    return this.http.post<{
      "message": string,
      "user": ProjectEquipmentModel
    }>(this.apiBaseUrl, new ProjectEquipmentModel(body));
  }

  update(body: ProjectEquipmentModel) {
    return this.http.put<{
      "message": string,
      "user": ProjectEquipmentModel
    }>(this.apiBaseUrl + "/" + body.equipment_id, new ProjectEquipmentModel(body));
  }

  delete(body: ProjectEquipmentModel) {
    return this.http.delete<{
      "message": string,
      "user": ProjectEquipmentModel
    }>(this.apiBaseUrl + "/" + body.equipment_id);
  }


}
